# Copyright (c) 2007 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

%define srcrevision r571

Name:         gambatte
License:      GPL
Group:        unsorted
Autoreqprov:  on
Version:      0.4.99_%srcrevision
Release:      1.20
Summary:      Game Boy (Color) emulator with Qt and SDL frontends
Source:       %{name}_src-%srcrevision.tar.gz
Url:          http://sourceforge.net/projects/gambatte/
BuildRequires: alsa-devel
BuildRequires: scons libqt4-devel SDL-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gambatte is an accuracy-focused, open-source, cross-platform
Game Boy / Game Boy Color emulator written in C++. It is based on hundreds of
corner case hardware tests, as well as previous documentation and reverse
engineering efforts.

The core emulation code is contained in a separate library back-end
(libgambatte) written in platform-independent C++. There is currently a GUI
front-end (gambatte_qt) using Trolltech's Qt4 toolkit, and a simple command-line
SDL front-end (gambatte_sdl).

%prep
%setup -n %{name}_src-%srcrevision

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
cd libgambatte
scons
cd ../gambatte_qt
qmake
make
cd ../gambatte_sdl
scons

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -m 755 gambatte_qt/bin/gambatte_qt $RPM_BUILD_ROOT/usr/bin/
install -m 755 gambatte_sdl/gambatte_sdl $RPM_BUILD_ROOT/usr/bin/

%files
%defattr(-,root,root)
%doc README changelog
/usr/bin/gambatte_*
%changelog
* Mon Jun  8 2015 wbauer@tmo.at
- added Url tag to the specfile
* Sun May 31 2015 wbauer@tmo.at
- update to latest 0.5.0 prerelease version (r571)
- remove gambatte-cleanup.patch, it is not necessary any more
- add alsa-devel BuildRequires to make it build on current
  openSUSE versions
* Thu Apr 29 2010 uli@suse.de
- fixed more terrible code and missing headers that trip the new
  toolchain
* Tue Jun 10 2008 uli@suse.de
- cleanup for new toolchain
